# POST /qwen/api/v1/services/aigc/image2video/aa-template-generation/

**Method**: `POST`
**Endpoint**: `/qwen/api/v1/services/aigc/image2video/aa-template-generation/`

[Official API Documentation](https://help.aliyun.com/zh/model-studio/animate-anyone-template-api)

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

## Request Parameters

### Header Parameters

```text
X-DashScope-Async
string
Required
Example:
enable
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json Required

```text
model
string
Required
input
object
Required
video_url
string
Optional
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
parameters
object
Required
Example
{
"model"
:
"animate-anyone-template-gen2"
,
"input"
:
{
"video_url"
:
"http://xxx/1.mp4"
}
,
"parameters"
:
{
}
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/qwen/api/v1/services/aigc/image2video/aa-template-generation/' \
--header 'X-DashScope-Async: enable' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "model": "animate-anyone-template-gen2",
    "input": {
        "video_url": "http://xxx/1.mp4"
    },
    "parameters": {
    }
  }'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
object
```

#### Example

```json
{}
```
